.black_layer {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(0, 0, 0, 0.2);
	z-index: 100;
}

.black_layer:before {
	content: '';
	display: inline-block;
	height: 100%;
	vertical-align: middle;
	margin-right: -0.05em;
}

.modal_layer {
	position: fixed;
	display: none;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	width: 100%;
	z-index: 110;
}

.modal_area {
	position: absolute;
	top: 50%;
	left: 50%;
	padding: 32px 40px;
	width: 95%;
	max-width: 720px;
	max-height: calc(100vh - 40px);
	border-radius: 0;
	border-bottom: 1px solid #e3e6ea;
	background: #fff;
	box-shadow: 0 4px 40px 0 rgba(0, 0, 0, .08);
	transform: translate(-50%, -50%);
	overflow: auto;
}

.modal_header {
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-bottom: 30px;
}

.modal_body {
	margin-bottom: 24px;
}

.modal_footer {}

.modal_btn {
	display: flex;
	align-items: center;
	justify-content: flex-end;
	flex-wrap: wrap;
	gap: 8px;
}

.modal {
	position: fixed;
	display: none;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	z-index: 11;
}

.modal.on {
	display: flex;
}


.modal::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.2);
	z-index: -1;
}

.modal .modal_container {
	max-width: 400px;
	width: 100%;
	margin: auto;
	background-color: #fff;
	border-radius: 12px;
}

.modal_title {
	position: relative;
	font-size: 20px;
	padding: 24px;
	border-bottom: 1px solid var(--gray-10-line, #E3E6E9);
}

.modal_content {
	display: flex;
	flex-direction: column;
	gap: 12px;
	padding: 24px;
	max-height: 400px;
	height: 100%;
}

.modal_tab > ul {
	display: flex;
	width: min-content;
	padding: 2px;
	border-radius: 10px;
	background: #F3F4F6;
}

.modal_tab ul > li {
	border-radius: 10px;
	padding: 4px 12px;
	color: #767E88;
	white-space: nowrap;
	cursor: pointer;
}

.modal_tab > ul > li.on {
	background-color: #fff;
	color: #000;
}

.map_overlay {
	/*position: absolute;*/
	position: relative;
	border-radius: 12px;
	background: #FFF;
	box-shadow: 0px 4px 8px 3px rgba(0, 0, 0, 0.08), 0px 0px 3px 0px rgba(0, 0, 0, 0.12);
	max-width: 500px;
	width: 480px;
	z-index: 2;
}

.map_overlay > .top {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 12px 20px;
	border-bottom: 1px solid var(--gray-10-line, #E3E6E9);
}

.map_overlay > ul {
	padding: 8px;
	max-height: 200px;
	overflow: auto;
	-webkit-overflow-scrolling: touch; /* iOS 및 안드로이드에서 부드러운 스크롤 효과 */
	overscroll-behavior-y: contain;  /* 오버레이 스크롤이 페이지 전체 스크롤을 방해하지 않도록 설정 */
}

.map_overlay > ul > li {
	padding: 6px 20px;
	display: flex;
	align-items: center;
	justify-content: space-between;
	cursor: pointer;
}

.map_overlay .icon_group {
	display: flex;
	gap: 6px;
}

.map_overlay .real_bus_info {
	flex: 1;
	display:flex;
	align-items: baseline;
	justify-content: flex-end;
	gap: 10px;
	white-space:nowrap;
}

.map_overlay .real_bus_info span {
	display: inline-block;
}
